#include <bits/stdc++.h>
#define en '\n'

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string a,b; cin >> a >> b;
    if(a.size()<b.size()) swap(a,b);
    while(a.size()>b.size()) b = "#"+b;
    int n = a.size();
    string ans = "";
    for(int i = 0; i < n; i++)
    {
        if(b[i]=='#')
        {
            ans+=a[i];
        }
        else{
        int x = a[i]-'0';
        int y = b[i] - '0';
        string t = "";
        if(x>y) t = to_string(x);
        else if (y > x) t = to_string(y);
        else t = to_string(x)+to_string(x);
        ans+=t;
        }
    }
    cout<<ans<<en;
}